import { useDispatch, useSelector } from 'react-redux';
import { getUsers, fetchUsers } from '../redux';

export function useUsers() {
  const dispatch = useDispatch();
  const users = useSelector(getUsers);

  function loadUsers() {
    return dispatch(fetchUsers());
  }

  return {
    users,
    loadUsers,
  };
}
