import _ from 'lodash';

import { FormUser, User, UserApiRequest } from './types';

export const transformUserForApi = (user: FormUser): UserApiRequest => ({
  id: user.id,
  email: user.email,
  name: user.name,
  status: user.status,
  last_login: user.last_login,
});

export const transformUser = (response: any): User => {
  const userResponse = _.get(response, 'user', response);

  return {
    id: userResponse.id,
    email: userResponse.email,
    name: userResponse.name,
    last_login: userResponse.last_login,
    status: userResponse.status,
  };
};
